> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update review



## OpenAPI

````yaml patch /{shopId}/products/{productId}/reviews/{reviewId}
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/products/{productId}/reviews/{reviewId}:
    parameters:
      - name: productId
        in: path
        required: true
        schema:
          type: string
          example: 61a961741a113f7e13c45c3a
      - name: reviewId
        in: path
        required: true
        schema:
          type: string
          example: 63f62da70bf12b7f208998d1
    patch:
      tags:
        - Shops
        - Reviews
      summary: Admin Update review
      description: Admin Update review
      operationId: adminUpdateReview
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                isApproved:
                  type: boolean
                  example: false
                reply:
                  type: string
                  example: Thanks man
            example:
              isApproved: false
              reply: Thanks man
      responses:
        '200':
          description: Update review
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
                example: >-
                  Content-Type, Authorization, Content-Length, X-Requested-With,
                  Token
            Access-Control-Allow-Methods:
              schema:
                type: string
                example: GET,PUT,POST,DELETE,OPTIONS,PATCH
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '389'
            Date:
              schema:
                type: string
                example: Wed, 22 Feb 2023 09:36:40 GMT
            ETag:
              schema:
                type: string
                example: W/"185-IkcuqQG8LOWvWMiqg0XukW6DEkc"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      __v:
                        type: number
                        example: 0
                      _id:
                        type: string
                        example: 6383a3d604215d06666ea647
                      comment:
                        type: string
                        example: Good product mate
                      created:
                        type: string
                        example: '2022-11-27T17:52:22.544Z'
                      email:
                        type: string
                        example: adeyinkabadmus@gmail.com
                      fullName:
                        type: string
                        example: Ademi deyinka
                      isApproved:
                        type: boolean
                        example: true
                      product:
                        type: string
                        example: 62e05dacbadea08abf03d158
                      productUpdated:
                        type: boolean
                        example: false
                      rate:
                        type: number
                        example: 3
                      shop:
                        type: string
                        example: 61a956d91a113f7e13c45c15
                      updated:
                        type: string
                        example: '2023-02-22T09:36:40.487Z'
                  msg:
                    type: string
                    example: Review updated successfully
                  success:
                    type: boolean
                    example: true
              examples:
                Update review:
                  value:
                    data:
                      __v: 0
                      _id: 6383a3d604215d06666ea647
                      comment: Good product mate
                      created: '2022-11-27T17:52:22.544Z'
                      email: adeyinkabadmus@gmail.com
                      fullName: Ademi deyinka
                      isApproved: true
                      product: 62e05dacbadea08abf03d158
                      productUpdated: false
                      rate: 3
                      shop: 61a956d91a113f7e13c45c15
                      updated: '2023-02-22T09:36:40.487Z'
                    msg: Review updated successfully
                    success: true

````